--- old/usr/src/pkg/Makefile	Sun Sep  2 11:12:49 2012
+++ new/usr/src/pkg/Makefile	Sun Sep  2 11:12:48 2012
@@ -152,9 +152,14 @@
 i386_ARCH64= amd64
 sparc_ARCH64= sparcv9
 
-OPENSSL	=	/usr/bin/openssl
-OPENSSL10.cmd = $(OPENSSL) version | $(NAWK) '{if($$2<1){print "\043";}}'
-OPENSSL10_ONLY	=	$(OPENSSL10.cmd:sh)
+# The form "MACRO :sh= COMMAND" ensures that the COMMAND is executed only once,
+# whereas with the form "MACRO = $(COMMAND:sh)" the COMMAND is executed
+# whenever the reference is evaluated.
+#
+# The form "MACRO :sh= COMMAND" does not substitue macros in COMMAND, so macros
+# defined in Makefile.master is not used here.
+OPENSSL10_ONLY :sh= /usr/bin/openssl version | \
+	/usr/bin/nawk '{if($2<1){print "\043";}}'
 
 #
 # macros and transforms needed by pkgmogrify
